# frozen_string_literal: true

require_relative "lib/datetimecomponent/version"

Gem::Specification.new do |spec|
  spec.name          = "datetimecomponent"
  spec.version       = Datetime::VERSION
  spec.authors       = ["Khadija Sidhpuri"]
  spec.email         = ["ksidhpuri@gmail.com"]

  spec.summary       = "a view component to render datetime in several formats"
  spec.description   = "Rendering datetime in different formats and timezones just got easy"
  spec.homepage      = "https://rubygems.org/gems/datetimecomponent"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.4.0"

  spec.metadata["homepage_uri"] = spec.homepage
  # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_dependency 'rails', '~> 6.1.3', '>= 6.1.3.2'
  spec.add_dependency 'view_component', '~> 2.34'
  spec.add_runtime_dependency "actionview", ">= 5.0.0"
  spec.add_runtime_dependency "activesupport", ">= 5.0.0"
  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
